path: /build/build/rust-bin-dev-lang-stable-1.80.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-prefix" emerge dev-lang/rust-bin:stable -pv -t && \
    USE="-prefix" emerge -j ${JOBS} --nodeps dev-lang/rust-bin:stable
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/rust-bin && luet-portage --dir /pkgdir/rust-bin
    dev-lang/rust-bin:stable && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:247973b863de0c309d484f47007c374d05e55e173b3d7bd721b1938b2f98be04
  package:
    id: 0
    name: rust-bin
    version: 1.80.0
    category: dev-lang-stable
    useflags:
    - -prefix
    state: ""
    packagerequires:
    - id: 0
      name: typing-extensions
      version: '>=0'
      category: dev-python
      useflags: []
      state: ""
      packagerequires: []
      packageconflicts: []
      provides: []
      hidden: false
      annotations: {}
      path: ""
      description: ""
      uri: []
      license: ""
      buildtimestamp: ""
      labels: {}
      treedir: ""
      repository: ""
    packageconflicts: []
    provides: []
    hidden: false
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    path: ""
    description: Systems programming language from Mozilla
    uri:
    - https://www.rust-lang.org/
    license: '|| ( MIT Apache-2.0 ) BSD-1 BSD-2 BSD-4 UoI-NCSA'
    buildtimestamp: 2024-08-15 08:35:40.73267372 +0000 UTC m=+258.972017782
    labels:
      BDEPEND: prefix? ( dev-util/patchelf )
      DEPEND: app-eselect/eselect-rust
      IUSE: clippy cpu_flags_x86_sse2 doc prefix rustfmt rust-src wasm wasm-wasi abi_x86_32
        abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32
        abi_s390_64
      RDEPEND: app-eselect/eselect-rust
      emerge.packages: dev-lang/rust-bin:stable
      kit: lang-kit
      original.package.name: dev-lang/rust-bin
      original.package.slot: stable
      original.package.version: 1.80.0
    treedir: /build/packages
    repository: ""
  package_dir: /pkgdir/rust-bin
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 8477356141f00ac6d1d6b70a3f40fca409a6c60da86032a87c0ba89e21d5bd72
compressiontype: zstd
files:
- etc/env.d/50rust-bin-1.80.0
- etc/env.d/rust/provider-rust-bin-1.80.0
- opt/rust-bin-1.80.0/bin/cargo
- opt/rust-bin-1.80.0/bin/cargo-bin-1.80.0
- opt/rust-bin-1.80.0/bin/rust-gdb
- opt/rust-bin-1.80.0/bin/rust-gdb-bin-1.80.0
- opt/rust-bin-1.80.0/bin/rust-gdbgui
- opt/rust-bin-1.80.0/bin/rust-gdbgui-bin-1.80.0
- opt/rust-bin-1.80.0/bin/rust-lldb
- opt/rust-bin-1.80.0/bin/rust-lldb-bin-1.80.0
- opt/rust-bin-1.80.0/bin/rustc
- opt/rust-bin-1.80.0/bin/rustc-bin-1.80.0
- opt/rust-bin-1.80.0/bin/rustdoc
- opt/rust-bin-1.80.0/bin/rustdoc-bin-1.80.0
- opt/rust-bin-1.80.0/etc/bash_completion.d/cargo
- opt/rust-bin-1.80.0/lib/libLLVM-18-rust-1.80.0-stable.so
- opt/rust-bin-1.80.0/lib/libLLVM.so.18.1-rust-1.80.0-stable
- opt/rust-bin-1.80.0/lib/librustc_driver-198d7b2c3cb4a0cb.so
- opt/rust-bin-1.80.0/lib/libstd-0fbbe72b9e0d57dc.so
- opt/rust-bin-1.80.0/lib/rustlib/components
- opt/rust-bin-1.80.0/lib/rustlib/etc/gdb_load_rust_pretty_printers.py
- opt/rust-bin-1.80.0/lib/rustlib/etc/gdb_lookup.py
- opt/rust-bin-1.80.0/lib/rustlib/etc/gdb_providers.py
- opt/rust-bin-1.80.0/lib/rustlib/etc/lldb_commands
- opt/rust-bin-1.80.0/lib/rustlib/etc/lldb_lookup.py
- opt/rust-bin-1.80.0/lib/rustlib/etc/lldb_providers.py
- opt/rust-bin-1.80.0/lib/rustlib/etc/rust_types.py
- opt/rust-bin-1.80.0/lib/rustlib/install.log
- opt/rust-bin-1.80.0/lib/rustlib/manifest-cargo
- opt/rust-bin-1.80.0/lib/rustlib/manifest-rust-std-x86_64-unknown-linux-gnu
- opt/rust-bin-1.80.0/lib/rustlib/manifest-rustc
- opt/rust-bin-1.80.0/lib/rustlib/rust-installer-version
- opt/rust-bin-1.80.0/lib/rustlib/uninstall.sh
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/bin/gcc-ld/ld.lld
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/bin/gcc-ld/ld64.lld
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/bin/gcc-ld/lld-link
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/bin/gcc-ld/wasm-ld
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/bin/rust-lld
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libaddr2line-dcf90797fbd00d23.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libadler-3907ca7c36d3c032.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/liballoc-9a1cbc1305da137e.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libcfg_if-d1969118c6f0c13e.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libcompiler_builtins-d4ebcca572002f93.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libcore-fd707bd9d5d3d672.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libgetopts-9bcac91f96e18782.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libgimli-3b6828d7a1725131.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libhashbrown-c9c9da5b4611a660.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/liblibc-d48855f89c749535.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libmemchr-5d2a1bfb1589ab43.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libminiz_oxide-877178c8f84ba478.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libobject-d583e13b4b2d89a2.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libpanic_abort-22f9545e468fb28c.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libpanic_unwind-4cbc28d57c85be7b.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libproc_macro-6860ee6be8b18765.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libprofiler_builtins-c86dbdfbced7c28a.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc-stable_rt.asan.a
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc-stable_rt.dfsan.a
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc-stable_rt.lsan.a
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc-stable_rt.msan.a
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc-stable_rt.safestack.a
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc-stable_rt.tsan.a
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc_demangle-f75bdd612dd19f44.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc_std_workspace_alloc-0f5b4153173c663b.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc_std_workspace_core-d290b706bbcc90ac.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc_std_workspace_std-aee75f1e365c6355.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libstd-0fbbe72b9e0d57dc.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libstd-0fbbe72b9e0d57dc.so
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libstd_detect-130d6997e9e34e6a.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libsysroot-3afdddace6fb38f6.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libtest-54b60a748c677e53.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libunicode_width-39147797553ffa4c.rlib
- opt/rust-bin-1.80.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libunwind-e8b263070ac20a8a.rlib
- opt/rust-bin-1.80.0/libexec/rust-analyzer-proc-macro-srv
- opt/rust-bin-1.80.0/man/man1/cargo-add.1
- opt/rust-bin-1.80.0/man/man1/cargo-bench.1
- opt/rust-bin-1.80.0/man/man1/cargo-build.1
- opt/rust-bin-1.80.0/man/man1/cargo-check.1
- opt/rust-bin-1.80.0/man/man1/cargo-clean.1
- opt/rust-bin-1.80.0/man/man1/cargo-doc.1
- opt/rust-bin-1.80.0/man/man1/cargo-fetch.1
- opt/rust-bin-1.80.0/man/man1/cargo-fix.1
- opt/rust-bin-1.80.0/man/man1/cargo-generate-lockfile.1
- opt/rust-bin-1.80.0/man/man1/cargo-help.1
- opt/rust-bin-1.80.0/man/man1/cargo-init.1
- opt/rust-bin-1.80.0/man/man1/cargo-install.1
- opt/rust-bin-1.80.0/man/man1/cargo-locate-project.1
- opt/rust-bin-1.80.0/man/man1/cargo-login.1
- opt/rust-bin-1.80.0/man/man1/cargo-logout.1
- opt/rust-bin-1.80.0/man/man1/cargo-metadata.1
- opt/rust-bin-1.80.0/man/man1/cargo-new.1
- opt/rust-bin-1.80.0/man/man1/cargo-owner.1
- opt/rust-bin-1.80.0/man/man1/cargo-package.1
- opt/rust-bin-1.80.0/man/man1/cargo-pkgid.1
- opt/rust-bin-1.80.0/man/man1/cargo-publish.1
- opt/rust-bin-1.80.0/man/man1/cargo-remove.1
- opt/rust-bin-1.80.0/man/man1/cargo-report.1
- opt/rust-bin-1.80.0/man/man1/cargo-run.1
- opt/rust-bin-1.80.0/man/man1/cargo-rustc.1
- opt/rust-bin-1.80.0/man/man1/cargo-rustdoc.1
- opt/rust-bin-1.80.0/man/man1/cargo-search.1
- opt/rust-bin-1.80.0/man/man1/cargo-test.1
- opt/rust-bin-1.80.0/man/man1/cargo-tree.1
- opt/rust-bin-1.80.0/man/man1/cargo-uninstall.1
- opt/rust-bin-1.80.0/man/man1/cargo-update.1
- opt/rust-bin-1.80.0/man/man1/cargo-vendor.1
- opt/rust-bin-1.80.0/man/man1/cargo-verify-project.1
- opt/rust-bin-1.80.0/man/man1/cargo-version.1
- opt/rust-bin-1.80.0/man/man1/cargo-yank.1
- opt/rust-bin-1.80.0/man/man1/cargo.1
- opt/rust-bin-1.80.0/man/man1/rustc.1
- opt/rust-bin-1.80.0/man/man1/rustdoc.1
- opt/rust-bin-1.80.0/share/doc/cargo/LICENSE-APACHE
- opt/rust-bin-1.80.0/share/doc/cargo/LICENSE-MIT
- opt/rust-bin-1.80.0/share/doc/cargo/LICENSE-THIRD-PARTY
- opt/rust-bin-1.80.0/share/doc/cargo/README.md
- opt/rust-bin-1.80.0/share/doc/rust/COPYRIGHT
- opt/rust-bin-1.80.0/share/doc/rust/LICENSE-APACHE
- opt/rust-bin-1.80.0/share/doc/rust/LICENSE-MIT
- opt/rust-bin-1.80.0/share/doc/rust/README.md
- opt/rust-bin-1.80.0/share/zsh/site-functions/_cargo
- usr/bin/cargo-bin-1.80.0
- usr/bin/rust-gdb-bin-1.80.0
- usr/bin/rust-gdbgui-bin-1.80.0
- usr/bin/rust-lldb-bin-1.80.0
- usr/bin/rustc-bin-1.80.0
- usr/bin/rustdoc-bin-1.80.0
- usr/lib/rust/lib-bin-1.80.0
- usr/lib/rust/man-bin-1.80.0
- usr/lib/rustlib-bin-1.80.0
- usr/share/doc/rust-bin-1.80.0
- var/db/pkg/dev-lang/rust-bin-1.80.0/BUILD_TIME
- var/db/pkg/dev-lang/rust-bin-1.80.0/CATEGORY
- var/db/pkg/dev-lang/rust-bin-1.80.0/CBUILD
- var/db/pkg/dev-lang/rust-bin-1.80.0/CFLAGS
- var/db/pkg/dev-lang/rust-bin-1.80.0/CHOST
- var/db/pkg/dev-lang/rust-bin-1.80.0/CONTENTS
- var/db/pkg/dev-lang/rust-bin-1.80.0/COUNTER
- var/db/pkg/dev-lang/rust-bin-1.80.0/CXXFLAGS
- var/db/pkg/dev-lang/rust-bin-1.80.0/DEFINED_PHASES
- var/db/pkg/dev-lang/rust-bin-1.80.0/DEPEND
- var/db/pkg/dev-lang/rust-bin-1.80.0/DESCRIPTION
- var/db/pkg/dev-lang/rust-bin-1.80.0/EAPI
- var/db/pkg/dev-lang/rust-bin-1.80.0/FEATURES
- var/db/pkg/dev-lang/rust-bin-1.80.0/HOMEPAGE
- var/db/pkg/dev-lang/rust-bin-1.80.0/INHERITED
- var/db/pkg/dev-lang/rust-bin-1.80.0/IUSE
- var/db/pkg/dev-lang/rust-bin-1.80.0/IUSE_EFFECTIVE
- var/db/pkg/dev-lang/rust-bin-1.80.0/KEYWORDS
- var/db/pkg/dev-lang/rust-bin-1.80.0/LDFLAGS
- var/db/pkg/dev-lang/rust-bin-1.80.0/LICENSE
- var/db/pkg/dev-lang/rust-bin-1.80.0/NEEDED
- var/db/pkg/dev-lang/rust-bin-1.80.0/PF
- var/db/pkg/dev-lang/rust-bin-1.80.0/PROVIDES
- var/db/pkg/dev-lang/rust-bin-1.80.0/RDEPEND
- var/db/pkg/dev-lang/rust-bin-1.80.0/REQUIRES
- var/db/pkg/dev-lang/rust-bin-1.80.0/RESTRICT
- var/db/pkg/dev-lang/rust-bin-1.80.0/SIZE
- var/db/pkg/dev-lang/rust-bin-1.80.0/SLOT
- var/db/pkg/dev-lang/rust-bin-1.80.0/USE
- var/db/pkg/dev-lang/rust-bin-1.80.0/environment.bz2
- var/db/pkg/dev-lang/rust-bin-1.80.0/repository
- var/db/pkg/dev-lang/rust-bin-1.80.0/rust-bin-1.80.0.ebuild
package_cacheimage: ""
runtime:
  id: 0
  name: rust-bin
  version: 1.80.0
  category: dev-lang-stable
  useflags:
  - -prefix
  state: ""
  packagerequires:
  - id: 0
    name: eselect-rust
    version: '>=0'
    category: app-eselect
    useflags: []
    state: ""
    packagerequires: []
    packageconflicts: []
    provides: []
    hidden: false
    annotations: {}
    path: ""
    description: ""
    uri: []
    license: ""
    buildtimestamp: ""
    labels: {}
    treedir: ""
    repository: ""
  packageconflicts: []
  provides: []
  hidden: false
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  path: ""
  description: Systems programming language from Mozilla
  uri:
  - https://www.rust-lang.org/
  license: '|| ( MIT Apache-2.0 ) BSD-1 BSD-2 BSD-4 UoI-NCSA'
  buildtimestamp: ""
  labels:
    BDEPEND: prefix? ( dev-util/patchelf )
    DEPEND: app-eselect/eselect-rust
    IUSE: clippy cpu_flags_x86_sse2 doc prefix rustfmt rust-src wasm wasm-wasi abi_x86_32
      abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
    RDEPEND: app-eselect/eselect-rust
    emerge.packages: dev-lang/rust-bin:stable
    kit: lang-kit
    original.package.name: dev-lang/rust-bin
    original.package.slot: stable
    original.package.version: 1.80.0
  treedir: ""
  repository: ""
